PUT
/api/v1/storage/bucket-replication/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "status": true, "rule_id": 12345}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "status": True, "rule_id": 12345, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "status": true, "rule_id": 12345 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
status
Set to true to enable the replication rule, or false to disable it.
boolean
Example
truerule_id
integer
Example
12345Responses
Section titled “Responses”Replication rule updated successfully.
Media typeapplication/json
object
code
integer
data
object
id
integer
user
integer
source_bucket
string
destination_bucket
string
source_bucket_location
string
destination_bucket_location
string
enabled
boolean
created_at
string format: date-time
errors
object
message
string
Example
{ "code": 200, "data": { "id": 123, "user": 12345, "source_bucket": "first-bucket", "destination_bucket": "second-bucket", "source_bucket_location": "Delhi", "destination_bucket_location": "Chennai", "enabled": true, "created_at": "2025-05-28T05:07:40.359314Z" }, "errors": {}, "message": "Success"}